/*!
	\file	IAtlLayerInfo.h
	\author	Abvent R&D Copyright (C) 2009
	\brief	The IAtlLayerInfo interface.
*/

#ifndef	IAtlLayerInfo_h
#define	IAtlLayerInfo_h

#include "AvAtlTypes.h"

namespace AvAtl {

class	IAtlLayerInfo
{

public:

	/// Get the active layer ID.
	virtual tUUID getActiveLayer() const = 0;
	/// Set the Layer ID.
	virtual void setActiveLayer(tUUID inId) = 0;
	// Returns the active layers for a given Object Type.
	virtual tUUID getDefaultLayerForObjectType(tUtf8 inTypeName) = 0;
	/// Set the active layer for a givent type. Set to CatlUUID() if no deault. 
	virtual void setDefaultLayerForObjectType(tUtf8 inTypeName, tUUID inId) = 0;
	/// Put an XML representation of the background inside the father node.
	/** \retval the new node of the ambient.
		\retval NULL if an error occurs. */
	virtual XMLNodeRef putInXML(XMLNodeRef inFatherNode) const = 0;
	/// Initialize the background with the XML.
	/** \retval true intialization from XML succeed.
		\retval false an error occurs. */
	virtual bool initWithXML(XMLNodeRef inFatherNode) = 0;
	
protected:

	virtual ~IAtlLayerInfo() {}
};

}

#endif
